Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
InputSlotTypable Class Reference

Input slot class specifying type More...

Inheritance diagram for InputSlotTypable:

## Public Member Functions
| InputSlotTypable ()
| InputSlotTypable constructor More...
| InputSlotTypable (System.Type type)
| InputSlotTypable constructor More...
bool | GetValue (ref object value)
| Get the value More...
Public Member Functions inherited from InputSlotBase
void | SetInputBranch (DataBranch branch)
| Set DataBranch. More...
void | RemoveInputBranch (DataBranch branch)
| Remove DataBranch. More...
DataBranch | GetInputBranch ()
| Get DataBranch. More...
bool | IsConnectedInput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...

## Properties
override System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from InputSlotBase
override SlotType | slotType`[get]`
| Slot type More...
DataBranch | branch`[get]`
| Get branch More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Additional Inherited Members
Public Attributes inherited from InputSlotBase
int | branchID
| Branch ID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Input slot class specifying type

Available Attributes :

- HideSlotFields

## Constructor & Destructor Documentation

InputSlotTypable | ( |  | ) |

InputSlotTypable constructor

InputSlotTypable | ( | System.Type | type | ) |

InputSlotTypable constructor

Parameters

  type | Data type to be stored in the slot

## Member Function Documentation

bool GetValue | ( | ref object | value | ) |

Get the value

Parameters

  value | The value you get

Returns
  Whether the branch is connected.

## Property Documentation

override System.Type dataType
| get

The type of data stored in the slot